## org.h2.command
Interface CommandInterface

All Known Implementing Classes:
  Command, CommandContainer, CommandList, CommandRemote

    public interface CommandInterface

Represents a SQL statement.

Method Summary
`void` `cancel()` Cancel the statement if it is still processing.
`void` `close()` Close the statement.
`ResultInterface` `executeQuery(int maxRows, boolean scrollable)` Execute the query.
`int` `executeUpdate()` Execute the statement
`ResultInterface` `getMetaData()` Get an empty result set containing the meta data of the result.
`java.util.ArrayList<? extends ParameterInterface>` `getParameters()` Get the parameters (if any).
`boolean` `isQuery()` Check if this is a query.

Method Detail

### isQuery

    boolean isQuery()

  Check if this is a query.

  Returns:
    true if it is a query

### getParameters

    java.util.ArrayList<? extends ParameterInterface> getParameters()

  Get the parameters (if any).

  Returns:
    the parameters

### executeQuery

    ResultInterface executeQuery(int maxRows,
                                 boolean scrollable)

  Execute the query.

  Parameters:
    `maxRows` - the maximum number of rows returned
    `scrollable` - if the result set must be scrollable
  Returns:
    the result

### executeUpdate

    int executeUpdate()

  Execute the statement

  Returns:
    the update count

### close

    void close()

  Close the statement.

### cancel

    void cancel()

  Cancel the statement if it is still processing.

### getMetaData

    ResultInterface getMetaData()

  Get an empty result set containing the meta data of the result.

  Returns:
    the empty result